import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { Probe } from '@overflow/commons-typescript/model/probe';

@Component({
  selector: 'of-pages-probe-list',
  templateUrl: './list.component.html',
})
export class ProbeListComponent {

  constructor(
    private router: Router,
  ) { }

  onProbeSelect(probe: Probe) {
    this.router.navigate(['probe', probe.id, 'info']);
  }
}
